
Foreman - Bug #1937

Foreman doesn't work well when run on subpath

11/13/2012 11:51 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a part of Katello integration we need to run Foreman on subpath. Some parts of the code however don't work well in this context.

Patches addressing addressing this issues will come soon

Associated revisions

Revision 5f75d98a - 12/05/2012 09:06 AM - Ivan Necas

fixes #1937 - Foreman doesn't work well when run on subpath

request_url is not enough to pass form controller to tftp

Other variables (like script_name) need to be used from

controller.url_options to properly generate the path in the PXE template.

use rails helper to get the path to noVNC source

Hardcoded value makes problems when running Foreman from subpath

helper javascript method for generating path to foreman

Revision ee2b39c6 - 12/12/2012 10:02 AM - Ivan Necas

refs #1937 - fix graphs hrefs when running from subpath

History

#1 - 11/14/2012 07:56 AM - Ohad Levy

- Assignee set to Ivan Necas

#2 - 12/05/2012 09:07 AM - Ohad Levy

- Target version set to 1.1

#3 - 12/05/2012 09:34 AM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 5f75d98abf8871a9bef24ab2f3b0f62f1f6f7c83.

#4 - 12/12/2012 09:33 AM - Ivan Necas

- Status changed from Closed to Assigned

Another issues were discovered: links for graphs in facts and statistics were heading to wrong place.

#5 - 12/12/2012 09:35 AM - Ivan Necas

Fix for graphs send in PR https://github.com/theforeman/foreman/pull/302/files

#6 - 12/12/2012 11:47 AM - Ohad Levy

- Status changed from Assigned to Closed
